Bug 121861 - g++ chrashes when when parsing a badly-formed file
Summary: g++ chrashes when when parsing a badly-formed file
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-28 18:25 UTC by Bojan Nikolic
Modified: 2007-04-18 17:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 15:25:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bojan Nikolic 2004-04-28 18:25:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
compilation of the following

namespace B {
  namespace C {

    void g(void);
  }
}


void B::C:g(void) {

}

will cause g++ to request a bug report is filed.

Version-Release number of selected component (if applicable):
gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)

How reproducible:
Always

Steps to Reproduce:
1.g++ -c <a file with above code>
2.
3.
    

Actual Results:  t.cxx:10: `B::C' as declarator
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Expected Results:  Just a syntax error

Additional info:

Comment 1 Jakub Jelinek 2004-05-25 15:25:41 UTC
RHL9 is EOL and gcc-3.3.3-7 certainly doesn't ICE on this.


Note You need to log in before you can comment on or make changes to this bug.